## ros-navigation-msgs 1.13.0

=== map_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(map_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    std_msgs
    sensor_msgs
    nav_msgs
    message_generation
)

add_message_files(
  FILES
    OccupancyGridUpdate.msg
    PointCloud2Update.msg
    ProjectedMapInfo.msg
    ProjectedMap.msg
)
add_service_files(
  FILES
    GetMapROI.srv
    GetPointMapROI.srv
    GetPointMap.srv
    ProjectedMapsInfo.srv
    SaveMap.srv
    SetMapProjections.srv
)

generate_messages(
  DEPENDENCIES
    std_msgs
    sensor_msgs
    nav_msgs
)

catkin_package(
  CATKIN_DEPENDS
    std_msgs
    sensor_msgs
    nav_msgs
)

=== move_base_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_base_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    message_generation
    actionlib_msgs
    geometry_msgs
)

add_action_files(
  DIRECTORY
    action
  FILES
    MoveBase.action
)

generate_messages(
  DEPENDENCIES
    actionlib_msgs
    geometry_msgs
)

catkin_package(
)

=== debian/changelog ===
ros-navigation-msgs (1.13.0-8) unstable; urgency=medium

  * Fix watch file
  * Update MA hints
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 27 Aug 2018 23:17:37 +0200

ros-navigation-msgs (1.13.0-7) unstable; urgency=medium

  * Limit watch to ROS1
  * Add MA hints
  * Bump policy version (no changes)
  * Add Python 3 packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 17:31:13 +0200

ros-navigation-msgs (1.13.0-6) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Make lib*-msgs-dev arch:any due to arch:any dependency
  * Bump policy and debhelper versions
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 19:53:07 +0200

ros-navigation-msgs (1.13.0-5) unstable; urgency=medium

  * Remove lintian override, fixed in lintian 2.5.47
  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:24:47 +0100

ros-navigation-msgs (1.13.0-4) unstable; urgency=medium

  * Update build dependencies (Closes: #835574)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2016 14:27:43 +0200

ros-navigation-msgs (1.13.0-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Fix lintian warnings

  [ Daniele E. Domenichelli ]
  * Move message definitions in separate packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 12:55:50 +0200

ros-navigation-msgs (1.13.0-2) unstable; urgency=medium

  * Rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 19:54:31 +0200

ros-navigation-msgs (1.13.0-1) unstable; urgency=medium

  * Initial release (Closes: #805333)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 28 Dec 2015 22:07:01 +0000

=== debian/control ===
Source: ros-navigation-msgs
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, libnav-msgs-dev, ros-message-generation, libactionlib-msgs-dev, libgeometry-msgs-dev, python-all, python3-all, dh-python, ros-sensor-msgs, ros-nav-msgs
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/ros-planning/navigation_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-navigation-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-navigation-msgs.git

Package: ros-map-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-sensor-msgs, ros-nav-msgs
Description: Definitions of map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related message definitions.

Package: libmap-msgs-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ros-message-runtime, libsensor-msgs-dev, libnav-msgs-dev, ros-message-generation
Description: C/C++ headers for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related C++ headers.

Package: python-map-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs, python-nav-msgs
Description: Python 2 code for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related Python 2 package.

Package: python3-map-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-sensor-msgs, python3-nav-msgs
Description: Python 3 code for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related Python 3 package.

Package: cl-map-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-sensor-msgs, cl-nav-msgs
Description: LISP code for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related LISP library.

Package: ros-move-base-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-actionlib-msgs, ros-geometry-msgs
Description: Definitions of move-base-related ROS Messages
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related message definitions.

Package: libmove-base-msgs-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ros-message-runtime, ros-message-generation, libactionlib-msgs-dev, libgeometry-msgs-dev
Description: C/C++ headers for move-base-related ROS Messages
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related C++ headers.

Package: python-move-base-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-actionlib-msgs, python-geometry-msgs
Description: Python 2 code for move-base-related ROS Messages,
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related Python 2 package.

Package: python3-move-base-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-actionlib-msgs, python3-geometry-msgs
Description: Python 3 code for move-base-related ROS Messages,
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related Python 3 package.

Package: cl-move-base-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-actionlib-msgs, cl-geometry-msgs
Description: LISP code for move-base-related ROS Messages
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related LISP library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(1\.[\d.]*)\.tar\.gz%ros-navigation-msgs-$1.tar.gz%" \
    https://github.com/ros-planning/navigation_msgs/tags \
    (?:.*?/)?v?(1\.\d[\d.]*)\.tar\.gz debian uupdate

## ros-navigation-msgs 1.13.1

=== map_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 find_package(catkin REQUIRED
   COMPONENTS
+    message_generation
+    nav_msgs
+    sensor_msgs
     std_msgs
-    sensor_msgs
-    nav_msgs
-    message_generation
 )
 
 add_message_files(
@@ -28,14 +28,15 @@
 
 generate_messages(
   DEPENDENCIES
+    nav_msgs
+    sensor_msgs
     std_msgs
-    sensor_msgs
-    nav_msgs
 )
 
 catkin_package(
   CATKIN_DEPENDS
+    message_runtime
+    nav_msgs
+    sensor_msgs
     std_msgs
-    sensor_msgs
-    nav_msgs
 )

=== move_base_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 find_package(catkin REQUIRED
   COMPONENTS
-    message_generation
     actionlib_msgs
     geometry_msgs
+    message_generation
 )
 
 add_action_files(
@@ -22,4 +22,5 @@
 )
 
 catkin_package(
+    CATKIN_DEPENDS actionlib_msgs geometry_msgs message_runtime
 )

=== debian/changelog ===
ros-navigation-msgs (1.13.1-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 1.13.1
  * Drop Python 2 packages (Closes: #938385)
  * simplify d/rules
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:51:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, libnav-msgs-dev, ros-message-generation, libactionlib-msgs-dev, libgeometry-msgs-dev, python-all, python3-all, dh-python, ros-sensor-msgs, ros-nav-msgs
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), catkin, libsensor-msgs-dev, libnav-msgs-dev, ros-message-generation, libactionlib-msgs-dev, libgeometry-msgs-dev, python3-all, dh-python, ros-sensor-msgs, ros-nav-msgs
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ros-planning/navigation_msgs
 Vcs-Browser: https://salsa.debian.org/science-team/ros-navigation-msgs
@@ -33,20 +33,10 @@
  .
  It contains the map-related C++ headers.
 
-Package: python-map-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs, python-nav-msgs
-Description: Python 2 code for map-related ROS Messages
- This package is part of Robot OS (ROS). This package defines messages commonly
- used in mapping packages.
- .
- It contains the map-related Python 2 package.
-
 Package: python3-map-msgs
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-sensor-msgs, python3-nav-msgs
+Depends: ${python3:Depends}, ${misc:Depends}, python3-sensor-msgs, python3-nav-msgs
 Description: Python 3 code for map-related ROS Messages
  This package is part of Robot OS (ROS). This package defines messages commonly
  used in mapping packages.
@@ -85,20 +75,10 @@
  .
  It contains the navigation-related C++ headers.
 
-Package: python-move-base-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-actionlib-msgs, python-geometry-msgs
-Description: Python 2 code for move-base-related ROS Messages,
- This package is part of Robot OS (ROS). Holds the action description and
- relevant messages for the move_base package.
- .
- It contains the navigation-related Python 2 package.
-
 Package: python3-move-base-msgs
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-actionlib-msgs, python3-geometry-msgs
+Depends: ${python3:Depends}, ${misc:Depends}, python3-actionlib-msgs, python3-geometry-msgs
 Description: Python 3 code for move-base-related ROS Messages,
  This package is part of Robot OS (ROS). Holds the action description and
  relevant messages for the move_base package.

## ros-navigation-msgs 1.14.0

=== move_base_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(move_base_msgs)
 
 find_package(catkin REQUIRED

=== debian/changelog ===
ros-navigation-msgs (1.14.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.0
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 23:18:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, libsensor-msgs-dev, libnav-msgs-dev, ros-message-generation, libactionlib-msgs-dev, libgeometry-msgs-dev, python3-all, dh-python, ros-sensor-msgs, ros-nav-msgs
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, libsensor-msgs-dev, libnav-msgs-dev, ros-message-generation, libactionlib-msgs-dev, libgeometry-msgs-dev, python3-all, dh-sequence-python3, ros-sensor-msgs, ros-nav-msgs
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ros-planning/navigation_msgs
 Vcs-Browser: https://salsa.debian.org/science-team/ros-navigation-msgs

## ros-navigation-msgs 1.14.1

=== map_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(map_msgs)
 
 find_package(catkin REQUIRED

=== move_base_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,15 @@
     message_generation
 )
 
+# msgs
+add_message_files(
+  DIRECTORY
+    msg
+  FILES
+    RecoveryStatus.msg
+)
+
+# actions
 add_action_files(
   DIRECTORY
     action

=== debian/changelog ===
ros-navigation-msgs (1.14.1-4) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Sun, 29 Sep 2024 21:17:03 +0200

ros-navigation-msgs (1.14.1-3) unstable; urgency=medium

  * Drop unused python3-all dependency for cross builds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:45:29 +0200

ros-navigation-msgs (1.14.1-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:48:17 +0100

ros-navigation-msgs (1.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.1
  * Fix lintian warning about d/copyright

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 10 Nov 2020 18:03:17 +0100

=== debian/control ===
Source: ros-navigation-msgs
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 libnav-msgs-dev,
 libsensor-msgs-dev,
 ros-message-generation,
 ros-nav-msgs,
 ros-sensor-msgs,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ros-planning/navigation_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-navigation-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-navigation-msgs.git

Package: ros-map-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ros-nav-msgs,
 ros-sensor-msgs,
 ${misc:Depends},
Description: Definitions of map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related message definitions.

Package: cl-map-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-nav-msgs,
 cl-sensor-msgs,
 ${misc:Depends},
Description: LISP code for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related LISP library.

Package: cl-move-base-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-actionlib-msgs,
 cl-geometry-msgs,
 ${misc:Depends},
Description: LISP code for move-base-related ROS Messages
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related LISP library.

Package: libmap-msgs-dev
Architecture: any
Multi-Arch: same
Depends:
 libnav-msgs-dev,
 libsensor-msgs-dev,
 ros-message-generation,
 ros-message-runtime,
 ${misc:Depends},
Description: C/C++ headers for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related C++ headers.

Package: libmove-base-msgs-dev
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 ros-message-generation,
 ros-message-runtime,
 ${misc:Depends},
Description: C/C++ headers for move-base-related ROS Messages
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related C++ headers.

Package: python3-map-msgs
Section: python
Architecture: all
Depends:
 python3-nav-msgs,
 python3-sensor-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 code for map-related ROS Messages
 This package is part of Robot OS (ROS). This package defines messages commonly
 used in mapping packages.
 .
 It contains the map-related Python 3 package.

Package: python3-move-base-msgs
Section: python
Architecture: all
Depends:
 python3-actionlib-msgs,
 python3-geometry-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 code for move-base-related ROS Messages,
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related Python 3 package.

Package: ros-move-base-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ros-actionlib-msgs,
 ros-geometry-msgs,
 ${misc:Depends},
Description: Definitions of move-base-related ROS Messages
 This package is part of Robot OS (ROS). Holds the action description and
 relevant messages for the move_base package.
 .
 It contains the navigation-related message definitions.

## ros-navigation-msgs 1.14.2

=== map_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.10.2)
 project(map_msgs)
 
 find_package(catkin REQUIRED

=== move_base_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.10.2)
 project(move_base_msgs)
 
 find_package(catkin REQUIRED

=== debian/changelog ===
ros-navigation-msgs (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 22:02:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin,
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin,
  libactionlib-msgs-dev,
  libgeometry-msgs-dev,
  libnav-msgs-dev,
@@ -18,7 +18,7 @@
  ros-message-generation,
  ros-nav-msgs,
  ros-sensor-msgs,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ros-planning/navigation_msgs
 Vcs-Browser: https://salsa.debian.org/science-team/ros-navigation-msgs

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(1\.[\d.]*)\.tar\.gz%ros-navigation-msgs-$1.tar.gz%" \
    https://github.com/ros-planning/navigation_msgs/tags \
    (?:.*?/)?v?(1\.\d[\d.]*)\.tar\.gz
